Subject: Re: llseek error & large partitions

From: [email-masked]
Date: Mon, 16 Sep 1996 14:36:19 +0000

I checked the article below out - and instead of using the debian 
install I did a  ' mke2fs -b 2048 /dev/sda1'. I also tried a 4k 
block and still received the same results(an lseek error).
Am I doing this correctly?

Mike Bigus
[email-masked]

> 
>   Johnny>  I do not know why this happens, only that the same thing happend
>   Johnny> to me when I tried to format my Quantum Sirrocco 2.5 Gig hard
>   Johnny> drive.  Around about the 2.1 gig it starts reporting errors.  I can
>   Johnny> only assume that the system cannot handle partitions over 2 gig.
> 
> You need a version of fdisk that as recent as 2.0 or better to support disks
> bigger than 2 GB, for example the fdisk from util-linux-2.5 which says
> 
> 	miles:~ [root] # fdisk -v
> 	fdisk v2.1 (>4GB)     
> 
> As for maximal partition size, read (using altavista or dejanews) the
> newsgroup article with referenced below, it shows how partitions can be as
> large as 959 GB (yes, just under one TB, a million MB). You have to increase
> the block size which becomes a little inefficient at that size ... 
> 
> I cannot recommend few big partitions anyway. Disks do fail, and you're
> better off when it happens on a limited partition, /usr/local say, rather
> than on /. 
> 
> 
> Subject:      Re: Really 2 GB file size limit?
> From:         [email-masked] (Kristian Köhntopp)
> Date:         1996/07/28
> Message-Id:   <[email-masked]>
> References:   <[email-masked]> <[email-masked]> <[email-masked]>
> Organization: entfällt
> Newsgroups:   comp.os.linux.development.system        
> 
> --
> Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd
> 
>